Bug 1309869 - installer fails in initial boot on older intel CPU's
installer fails in initial boot on older intel CPU's
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
23
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 15:45 EST by Chris Boylan
Modified: 2016-12-20 13:49 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:49:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Boylan 2016-02-18 15:45:19 EST
Description of problem: F23 install hangs after initial read of DVD without writing on screen on older intel CPU's.


Version-Release number of selected component (if applicable):
Fedora-Server-netinst-i386-23.iso


How reproducible:
Always

Steps to Reproduce:
1. create and insert boot media (DVD/USB) of F23 Server netinst images listed above
2. boot Fedora media


Actual results:
Read of CD/DVD for several seconds followed by boot failure (hardware recycles and boots from HD).


Expected results:
Display usual install progress and initiation of Fedora installer

Additional info:
Intel Pentium III
1G ram
40GB hd

Results are consistent on other old intel CPU's based boxes we are (were?) converting to mail/dns servers.

Installation document does not include minimum i386 instruction set information.
Comment 1 Chris Boylan 2016-02-18 18:30:46 EST
In checking past releases, this problem was introduced in the fedora 18 release.
Comment 2 Kevin Fenzi 2016-02-19 12:32:40 EST
So, I am not sure we have documented anywhere what 32bit cpus are supported, however: 

* For f24, x86 32bit issues are not going to be release blocking. 

* It's possible for F25 or later that Fedora will stop shipping any 32bit x86 images (although nothing is set yet).

* Fedora never redoes release media, so there's not going to be any fix for existing 32bit x86 media. You could try the community provided respins: 
https://dl.fedoraproject.org/pub/alt/live-respins/ perhaps the newer kernel there helps?

So I see two options here: Just close this ticket and select a different distro for your mail/dns servers (centos?) or we could move it to the kernel or grub2 component for action (but kernel at least has said they have no cycles for 32 bit intel problems, so it's likely to languish).
Comment 3 Chris Boylan 2016-02-19 13:09:50 EST
Understand.  Please move this to the appropriate category.  I think we have 16+ of these rack mount 32bit servers which we were going to repurpose for a test bed environment.

Maybe we'll get a pity fix.

We'll price out our replacement options in the meantime.
Comment 4 Kevin Fenzi 2016-02-19 13:58:01 EST
I'm not fully sure where to redirect this. 

Can you provide more info? 

When you boot, do you see anything at all on the screen before the reboot?
Comment 5 Chris Boylan 2016-02-19 14:03:28 EST
Nothing what so ever gets written to the screen.  It does some initial I/O to the CD/DVD before rebooting.
Comment 6 Kevin Fenzi 2016-02-20 18:17:24 EST
ok, then perhaps syslinux is the best bet. Moving there.
Comment 7 Fedora End Of Life 2016-11-24 10:38:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 13:49:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.